
#ifndef (ABCDE)
//#include "defaults.inc"
#include "colors.inc"	// Standard Color definitions
#include "textures.inc"	// Standard Texture definitions

light_source{ <15, 10, -200> color White }
camera{ location <0.0 , 0.0 ,-70> look_at <0.0 , 0.0 , 0.0>}

#end
//============================================================
#declare dFinish = finish { ambient 0.2 diffuse 0.5 phong 0.1 phong_size 10}
#declare ShoeTex = texture { pigment { color White } finish { dFinish }}

#declare SkinTex = texture { pigment { color Flesh }
   normal{ bumps .35 scale .1 }
   finish { dFinish }
   }
#declare PantsTex = texture {
  pigment { bozo turbulence 3
              color_map
                        {
                          [  0.1  DarkPurple ]
                          [  0.2  RichBlue ]
                          [  0.3  NeonBlue ]
                          [  0.4  NewMidnightBlue ]
                          [  0.5  Med_Purple ]
                          [  0.6  Very_Light_Purple ]
                          [  0.7  Light_Purple ]
                          [  0.8  MediumAquamarine ]
                          [  0.9  DarkOrchid ]
                          [  1.00  MediumBlue ]
                        }
scale .2 // <1, 2, 1 >
           }
finish { dFinish }
//	normal{ wood scale .4 }
}
#declare TopTex =
texture {
  pigment { bozo turbulence 3
              color_map
                        {
                          [  0.1  LightBlue ]
                          [  0.2  RichBlue ]
                          [  0.3  NeonBlue ]
                          [  0.4  SummerSky ]
                          [  0.5  Med_Purple ]
                          [  0.6  Very_Light_Purple ]
                          [  0.7  Light_Purple ]
                          [  0.8  MediumAquamarine ]
                          [  0.9  DarkOrchid ]
                          [  1.00  MediumBlue ]
                        }
scale .2 // <1, 2, 1 >
           }
finish { dFinish }
//	normal{ bumps 3 scale .1 }
}

#declare HairTex =
texture {
  pigment { gradient x turbulence 2
              color_map
                        {
                          [  0.1  Wheat ]
                          [  0.2  Gold ]
                          [  0.3  Goldenrod ]
                          [  0.4  MediumGoldenrod ]
                          [  0.5  Wheat ]
                          [  0.6  BrightGold ]
                          [  0.7  OldGold ]
                          [  0.8  BrightGold ]
                          [  0.9  NewTan ]
                          [  1.00  Yellow ]
                        }
scale <.1, 2, 1 >
           }
finish { dFinish }
	normal{ waves frequency 5 scale .4 }
}


#declare Dancer2 =
union {
//hips
union {
   sphere { < .25, 0, 0> 0.5 }
   sphere { <-.25, 0, 0> 0.5 }
   sphere { <0, 0, .1> 0.4 scale < 1, 1.2, 1> }
   texture {PantsTex }
   }
// Straight leg
cone { <-.25, 0, 0>,  0.5,  <0, -1.5, 0>, .2 texture {PantsTex }}
cone { <-.01, -1.5, 0>,  0.2,  <.2, -2.4, 0>, .1 }
cone { <.2, -2.4, -.1>,  0.1,  <.2, -2.6, .2>, .08 texture {ShoeTex }}

// Bent leg
cone { < .25, 0, 0>,  0.5,  <0, -1.5, .5>, .2 texture {PantsTex }}
cone { <.01, -1.4, .5>,  0.2,  <-.2, -2.5, .5>, .1 }
cone { <-.2, -2.5, .4>,  0.1,  <-.2, -2.7, .7>, .08 texture {ShoeTex }}
// Torso
cone { < 0, 0, .1>,  0.3,  <0, 1.25, 0>, .81 scale < 1, 1, .5> }
union {
   superellipsoid { <0.4,  1.0> scale <.5, .4, .5 > translate < -.3, 1.25, 0>}
   superellipsoid { <0.4,  1.0> scale <.5, .4, .5 > translate <  .3, 1.25, 0>}
   superellipsoid { <0.5,  1.0> scale <.5, .35, .3 > translate <  0, 1.25, -.2>}
   texture {TopTex }
}
// Head
   sphere { < 0, 2.1, 0> 0.4 scale < 1,.9,1> texture {HairTex} }
   sphere { < 0, 1.7, .1> 0.3 scale < 1,1.1,1.2> }

// Arm1
cone { <-.6, 1.5, 0>,  0.2,  <-.5, 2.5, 0>, .165 }
cone { <-.5, 2.45, 0>,  0.165,  <-.01, 3.5, 0>, .1 }

// Arm2
cone { <.6, 1.5, 0>,  0.2,  <.5, 2.5, 0>, .165 }
cone { <.5, 2.45, 0>,  0.165,  <.01, 3.5, 0>, .1 }

texture { SkinTex }
scale < 1.75, 3, 1.75 >
}




//object { Dancer2 rotate < 0, 180, 0> translate < 0, 0, -50>}
//object { Dancer2 rotate < 0, 90, 0> translate < 0, 0, -50>}
//object { Dancer2 rotate < 0, 0, 0> translate < 0, 0, -50>}
